View Issue Details

IDProjectCategoryView StatusLast Update
0001143OpenFOAM[All Projects] Bugpublic2015-02-14 22:33
Reporteruser700Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformanyOSanyOS Versionany
Product Version 
Fixed in Version 
Summary0001143: wrong index passed to constructor of polyMeshModifier in polyTopoChanger::readModifiers()
Descriptionin line 67 and following of dynamicMesh/polyTopoChange/polyTopoChanger/polyTopoChanger.C:

in modifiers.set(....) the index of the modifier in the polyTopoChanger, modifierI, is passed to polyMeshModifier::New, however, the index of the corresponding patch in the boundaryMesh should be passed to the constructor.
TagsNo tags attached.

Activities

user4

2014-01-30 11:19

  ~0002789

The individual polyMeshModifiers get constructed with their index into the overall list of modifiers. (this is similar to the way polyPatches or zones get constructed).

user700

2014-01-30 14:43

  ~0002793

from the source code documentation, however, it says this:

label index ( ) const
    inline

Return the index of this patch in the boundaryMesh.

Definition at line 150 of file polyMeshModifier.H.



This was misleading me. Actually I see now its about the faceZone index,whihc is not necessarily the same as the patch index in the boundary mesh.
Perhaps the documentation text should be changed?

wyldckat

2015-02-14 22:10

updater   ~0003776

I can confirm tehache's latest comment, where in the file "dynamicMesh/polyTopoChange/polyMeshModifier/polyMeshModifier.H", there is this description for the variables:

    // Private data

        //- Name of zone
        word name_;

        //- Index of zone
        label index_;


But then for the method it wrongly refers to a patch index, instead of zone index:

        //- Return the index of this patch in the boundaryMesh
        label index() const
        {
            return index_;
        }


After using "grep" for looking for other similar occurrences, my guess is that this comment was inherited after a copy-paste from here: "OpenFOAM/meshes/Identifiers/patch/patchIdentifier.H" ;)

henry

2015-02-14 22:33

manager   ~0003778

Roselved by commit ac39cc30159cc07331d661a71795b3ae8faa4d54

Issue History

Date Modified Username Field Change
2014-01-29 16:28 user700 New Issue
2014-01-30 11:19 user4 Note Added: 0002789
2014-01-30 14:43 user700 Note Added: 0002793
2015-02-14 22:10 wyldckat Note Added: 0003776
2015-02-14 22:33 henry Note Added: 0003778
2015-02-14 22:33 henry Status new => resolved
2015-02-14 22:33 henry Resolution open => fixed
2015-02-14 22:33 henry Assigned To => henry